//*************************************************************************
// JavaScript to create Main Menu
//
// Copyright 2008 - David Fosberry - david.fosberry@fosberry.com
//
// This code may be re-used, whole or in part, as long as this copyright message
// is included.
//
//************************************************************************

// Define Default Objects
 subMenuBlockDefaults = new dynamicMenuBlockDefaults(null, "vertically"); 
 subMenuBlockDefaults.setBackground("#cccccc");

inPageMenuItemsDefaults = new dynamicMenuItemDefaults();
 inPageMenuItemsDefaults.setIcon("Out/inPageOut.gif","Over/inPageOver.gif", 22, 17, 0);
offPageItemsDefaults = new dynamicMenuItemDefaults(inPageMenuItemsDefaults);
 offPageItemsDefaults.setIcon("Out/offPageOut.gif","Over/offPageOver.gif", 24, 19, 0);

// Define the Menu Object
menuObj                  = new dynamicMenuObject();
 menuObj.setMenuName("DF_Menu_1");  menuObj.setBlank(null, "../Graphics/");

// Define the Menu Blocks
mainMenuBlock                   = new dynamicMenuBlock("horizontally"); // Uses the standard default values

siteSubMenuBlock                = new dynamicMenuBlock(null, subMenuBlockDefaults);
guestBookSubMenuBlock           = new dynamicMenuBlock(null, subMenuBlockDefaults);
meSubMenuBlock                  = new dynamicMenuBlock(null, subMenuBlockDefaults);
professionalSubMenuBlock        = new dynamicMenuBlock(null, subMenuBlockDefaults);
familySubMenuBlock              = new dynamicMenuBlock(null, subMenuBlockDefaults);
hobbiesSubMenuBlock             = new dynamicMenuBlock(null, subMenuBlockDefaults);
tripsSubMenuBlock               = new dynamicMenuBlock(null, subMenuBlockDefaults);
cookingSubMenuBlock             = new dynamicMenuBlock(null, subMenuBlockDefaults);
NzTripSubMenuBlock              = new dynamicMenuBlock(null, subMenuBlockDefaults);
skiTripSubMenuBlock             = new dynamicMenuBlock(null, subMenuBlockDefaults);
oFestSubMenuBlock               = new dynamicMenuBlock(null, subMenuBlockDefaults);
resourcesSubMenuBlock           = new dynamicMenuBlock(null, subMenuBlockDefaults);
recommendationsSubMenuBlock     = new dynamicMenuBlock(null, subMenuBlockDefaults);
webTechSubMenuBlock             = new dynamicMenuBlock(null, subMenuBlockDefaults);
earthMoonSubMenuBlock           = new dynamicMenuBlock(null, subMenuBlockDefaults);
funSubMenuBlock                 = new dynamicMenuBlock(null, subMenuBlockDefaults);
languageSubMenuBlock            = new dynamicMenuBlock(null, subMenuBlockDefaults);
cartoonsSubMenuBlock            = new dynamicMenuBlock(null, subMenuBlockDefaults);
cartoonPicsSubMenuBlock         = new dynamicMenuBlock(null, subMenuBlockDefaults);
cartoonAniSubMenuBlock          = new dynamicMenuBlock(null, subMenuBlockDefaults);
humourPhotosSubMenuBlock        = new dynamicMenuBlock(null, subMenuBlockDefaults);
softwareRecSubMenuBlock         = new dynamicMenuBlock(null, subMenuBlockDefaults);
hardwareRecSubMenuBlock         = new dynamicMenuBlock(null, subMenuBlockDefaults);
videoHumourSubMenuBlock         = new dynamicMenuBlock(null, subMenuBlockDefaults);
quotesHumourSubMenuBlock         = new dynamicMenuBlock(null, subMenuBlockDefaults);

// Build the menu structure
menuObj.add(mainMenuBlock) ;

mainMenuBlock.add( new dynamicMenuItem("Site", "General pages", "/Home.html", "DF_Main", inPageMenuItemsDefaults) );
mainMenuBlock.add(siteSubMenuBlock);
mainMenuBlock.add( new dynamicMenuItem("About Me", "Information about me &amp; my family", "/Me.html", "DF_Main", inPageMenuItemsDefaults) );
mainMenuBlock.add(meSubMenuBlock);
mainMenuBlock.add( new dynamicMenuItem("Resources", "Some useful resources (local &amp; off-site)", "/Resources.html", "DF_Main", inPageMenuItemsDefaults) );
mainMenuBlock.add(resourcesSubMenuBlock);
mainMenuBlock.add( new dynamicMenuItem("Recommendations", "Some Recommended Products, Services &amp; Suppliers", "/Recommendations.html", "DF_Main", inPageMenuItemsDefaults) );
mainMenuBlock.add(recommendationsSubMenuBlock);



// site Sub-Menu structure
siteSubMenuBlock.add( new dynamicMenuItem("Home", "Go to the home page", "/Home.html", "DF_Main", inPageMenuItemsDefaults) );
siteSubMenuBlock.add( new dynamicMenuItem("Change-Log", "Log of changes to this site", "/cgi/ChangeLog.pl", "DF_Main", inPageMenuItemsDefaults) );
siteSubMenuBlock.add( new dynamicMenuItem("Guest Book", "View or Write in the Guest Book", "/cgi/GuestBook.pl", "DF_Main", inPageMenuItemsDefaults) );
siteSubMenuBlock.add(guestBookSubMenuBlock);
siteSubMenuBlock.add( new dynamicMenuItem("Help", "Help pages - opens in a new window", "/Help/index.html", "DF_Help", offPageItemsDefaults) );
siteSubMenuBlock.add( new dynamicMenuItem("Contact", "Send me an email - opens with your local email program", "mailto:david.fosberry@fosberry.com", "", offPageItemsDefaults) );
siteSubMenuBlock.add( new dynamicMenuItem("Settings", "Change the Appearance &amp; Behaviour of this site", "/Settings.html", "DF_Main", inPageMenuItemsDefaults) );

// GuestBook Sub-Menu structure
guestBookSubMenuBlock.add( new dynamicMenuItem("Guest Book", "View or Write in the Guest Book", "/cgi/GuestBook.pl", "DF_Main", inPageMenuItemsDefaults) );
guestBookSubMenuBlock.add( new dynamicMenuItem("Guest Book Entry Form", "Write in the Guest Book", "/cgi/GuestBookEntryForm.pl", "DF_Main", inPageMenuItemsDefaults) );
guestBookSubMenuBlock.add( new dynamicMenuItem("Guest Book Search Form", "Search the Guest Book", "/cgi/GuestBookFilterForm.pl", "DF_Main", inPageMenuItemsDefaults) );

// About Me Sub-Menu structure
meSubMenuBlock.add( new dynamicMenuItem("Personal", "Basic personal information", "/Me.html", "DF_Main", inPageMenuItemsDefaults) );
meSubMenuBlock.add( new dynamicMenuItem("News", "Personal News Blog (with some photos)", "/News.html", "DF_Main", inPageMenuItemsDefaults) );
meSubMenuBlock.add( new dynamicMenuItem("Professional", "About my services", "/Consult.html", "DF_Main", inPageMenuItemsDefaults) );
meSubMenuBlock.add(professionalSubMenuBlock);
meSubMenuBlock.add( new dynamicMenuItem("My Family", "About my Family", "/Family.html", "DF_Main", inPageMenuItemsDefaults) );
meSubMenuBlock.add(familySubMenuBlock);
meSubMenuBlock.add( new dynamicMenuItem('Genealogy of "Fosberry"', "About the name &ldquo;Fosberry&rdquo;", "/Geneology.html", "DF_Main", inPageMenuItemsDefaults) );
meSubMenuBlock.add( new dynamicMenuItem("My Hobbies", "About my hobbies", "/Hobbies.html", "DF_Main", inPageMenuItemsDefaults) );
meSubMenuBlock.add(hobbiesSubMenuBlock);
meSubMenuBlock.add( new dynamicMenuItem("Trips &amp; Events", "Information &amp; photos of recent Trips &amp; Events", "/Trips.html", "DF_Main", inPageMenuItemsDefaults) );
meSubMenuBlock.add(tripsSubMenuBlock);

// Professional Sub-Menu structure
professionalSubMenuBlock.add( new dynamicMenuItem("Consulting", "About my consulting services", "/Consult.html", "DF_Main", inPageMenuItemsDefaults) );
professionalSubMenuBlock.add( new dynamicMenuItem("Web Design", "About my web-site design services", "/web_site_design.html", "DF_Main", inPageMenuItemsDefaults) );

// Family Sub-Menu structure
familySubMenuBlock.add( new dynamicMenuItem("Sheryl", "Photo Gallery", "/Sheryl Gallery.html", "DF_Main", inPageMenuItemsDefaults) );
familySubMenuBlock.add( new dynamicMenuItem("My Mother", "Photo Gallery", "/Mum Gallery.html", "DF_Main", inPageMenuItemsDefaults) );
familySubMenuBlock.add( new dynamicMenuItem("My Father", "Photo Gallery", "/Dad Gallery.html", "DF_Main", inPageMenuItemsDefaults) );
familySubMenuBlock.add( new dynamicMenuItem("My Sister Ann", "Photo Gallery", "/Ann Gallery.html", "DF_Main", inPageMenuItemsDefaults) );
familySubMenuBlock.add( new dynamicMenuItem("My Sister Janet", "Photo Gallery", "/Janet Gallery.html", "DF_Main", inPageMenuItemsDefaults) );
familySubMenuBlock.add( new dynamicMenuItem("My Daughter Eleanor", "Photo Gallery", "/Eleanor Gallery.html", "DF_Main", inPageMenuItemsDefaults) );
familySubMenuBlock.add( new dynamicMenuItem("My Son Brendan", "Photo Gallery", "/Brendan Gallery.html", "DF_Main", inPageMenuItemsDefaults) );
familySubMenuBlock.add( new dynamicMenuItem("My Son Jordan", "Photo Gallery", "/Jordan Gallery.html", "DF_Main", inPageMenuItemsDefaults) );

// Hobbies Sub-Menu structure
hobbiesSubMenuBlock.add( new dynamicMenuItem("Skiing", "Some of my favourite ski locations", "/Skiing.html", "DF_Main", inPageMenuItemsDefaults) );
hobbiesSubMenuBlock.add( new dynamicMenuItem("Scuba Diving", "About my diving", "/Scuba.html", "DF_Main", inPageMenuItemsDefaults) );
hobbiesSubMenuBlock.add( new dynamicMenuItem("Cooking", "Some of my favourite recipes", "/Cooking.html", "DF_Main", inPageMenuItemsDefaults) );
hobbiesSubMenuBlock.add(cookingSubMenuBlock);
hobbiesSubMenuBlock.add( new dynamicMenuItem("Eating", "Some of my favourite restaurants", "/Dining.html", "DF_Main", inPageMenuItemsDefaults) );
hobbiesSubMenuBlock.add( new dynamicMenuItem("Movies", "Some of my favourite movies", "/Movies.html", "DF_Main", inPageMenuItemsDefaults) );
hobbiesSubMenuBlock.add( new dynamicMenuItem("TV", "Some of my favourite TV shows", "/TV.html", "DF_Main", inPageMenuItemsDefaults) );
hobbiesSubMenuBlock.add( new dynamicMenuItem("Music", "Some of my favourite music &amp; musicians", "/Music.html", "DF_Main", inPageMenuItemsDefaults) );

// Cooking Sub-Menu structure
cookingSubMenuBlock.add( new dynamicMenuItem("Fettuccini Alfredo", "Recipe", "/Recipes/Fettuccini Alfredo.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Moules Marini&egrave;re", "Recipe", "/Recipes/Moules Mariniere.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Chocolate Brownies", "Recipe", "/Recipes/Brownies.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Shepherds Pie", "Recipe", "/Recipes/Shepherds Pie.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Pasta with Prawns/Scallops &amp; Cream", "Recipe", "/Recipes/PrawnsAndCream.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Spagetti Carbonara", "Recipe", "/Recipes/Spagetti_Carbonara.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Spagetti Bolognese", "Recipe", "/Recipes/Spagetti_Bolognese.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Pasta Chorizo", "Recipe", "/Recipes/Pasta Chorizo.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Pasta Vongole", "Recipe", "/Recipes/Pasta_Vongole.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Calves Liver with Pasta", "Recipe", "/Recipes/Calves Liver.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Malted Bread Rolls", "Recipe", "/Recipes/Bread Rolls.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Christmas Stuffed Goose", "Recipe", "/Recipes/Goose.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Stuffed Braised Trout", "Recipe", "/Recipes/Braised Trout.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Insalata Caprese", "Recipe", "/Recipes/Insalata Caprese.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Turkey Satay", "Recipe", "/Recipes/Turkey Sate.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Duck in Black Bean Sauce", "Recipe", "/Recipes/Duck Black Bean.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Hot &amp; Sour Beef", "Recipe", "/Recipes/Hot Sour Beef.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Sweet &amp; Sour Prawns", "Recipe", "/Recipes/Sweet Sour Prawns.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Chicken with Oyster Sauce", "Recipe", "/Recipes/Chicken Oyster Sauce.html", "DF_Main", inPageMenuItemsDefaults) );
cookingSubMenuBlock.add( new dynamicMenuItem("Quick Chili Con Carn&eacute;", "Recipe", "/Recipes/Chili.html", "DF_Main", inPageMenuItemsDefaults) );

// Trips Sub-Menu structure 
tripsSubMenuBlock.add( new dynamicMenuItem("Brendan (my son) &amp; Lauren visit Munich, June 2008", "Photo Gallery", "/BendanLaurenMunich2008.06.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add( new dynamicMenuItem("Sheryl &amp; I go to the Ballet: La Bayad&egrave;re, Munich, June 2008", "Photo Gallery", "/Ballet2008.06.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add( new dynamicMenuItem("Photos of Munich, 2008", "Photo Gallery", "/MunichGallery1.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add( new dynamicMenuItem("Andrew's 40th Birthday Party, Munich 2008", "Photo Gallery", "/AndrewBirthdayMunich2008.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add( new dynamicMenuItem("Austrian Wine Tasting, Munich 2008", "Photo Gallery", "/WineTasting2008.04.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add( new dynamicMenuItem("Whisky Festival, Munich 2008", "Photo Gallery", "/WhiskyFest2008.03.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add( new dynamicMenuItem("Amy Winehouse Concert, Munich 2007", "Photo Gallery", "/AmyWinehouseGallery.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add( new dynamicMenuItem("Prabath's goodbye party, October 2007", "Photo Gallery", "/Prabath_1.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add( new dynamicMenuItem("New Zealand, August 2007", "Information &amp; Link page", "/NZ_Trip.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add(NzTripSubMenuBlock);
tripsSubMenuBlock.add( new dynamicMenuItem("Passau, June 2007", "Photo Gallery", "/Passau2007.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add( new dynamicMenuItem("Petro &amp; Georgina&prime;s Wedding, Marianske Lazne, 26th May 2007", "Photo Gallery", "/PetroAndGeorginasWedding.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add( new dynamicMenuItem("Bamberg, October 2006", "Photo Gallery", "/Bamberg2006.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add( new dynamicMenuItem("Oktoberfest", "Links to Photo Galleries", "/Oktoberfest.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add(oFestSubMenuBlock);tripsSubMenuBlock.add( new dynamicMenuItem("Ski Trips", "Links to Photo Galleries", "/SkiTrips.html", "DF_Main", inPageMenuItemsDefaults) );
tripsSubMenuBlock.add(skiTripSubMenuBlock);

// NZ Trip Sub-Menu structure
NzTripSubMenuBlock.add( new dynamicMenuItem("Family", "Photo Gallery", "/NZ_Family.html", "DF_Main", inPageMenuItemsDefaults) );
NzTripSubMenuBlock.add( new dynamicMenuItem("South Island", "Photo Gallery", "/NZ_SouthIsland.html", "DF_Main", inPageMenuItemsDefaults) );
NzTripSubMenuBlock.add( new dynamicMenuItem("Skiing", "Photo Gallery", "/NZ_Skiing.html", "DF_Main", inPageMenuItemsDefaults) );
NzTripSubMenuBlock.add( new dynamicMenuItem("River Trip", "Photo Gallery", "/NZ_River.html", "DF_Main", inPageMenuItemsDefaults) );
NzTripSubMenuBlock.add( new dynamicMenuItem("Queenstown", "Photo Gallery", "/NZ_Queenstown.html", "DF_Main", inPageMenuItemsDefaults) );
NzTripSubMenuBlock.add( new dynamicMenuItem("Akaroa", "Photo Gallery", "/NZ_Akaroa.html", "DF_Main", inPageMenuItemsDefaults) );
NzTripSubMenuBlock.add( new dynamicMenuItem("Maori Evening", "Photo Gallery", "/NZ_Maori.html", "DF_Main", inPageMenuItemsDefaults) );
NzTripSubMenuBlock.add( new dynamicMenuItem("Geothermal Park", "Photo Gallery", "/NZ_Thermal.html", "DF_Main", inPageMenuItemsDefaults) );
NzTripSubMenuBlock.add( new dynamicMenuItem("Rainbow Springs", "Photo Gallery", "/NZ_RainbowSprings.html", "DF_Main", inPageMenuItemsDefaults) );
NzTripSubMenuBlock.add( new dynamicMenuItem("Goldmine", "Photo Gallery", "/NZ_Goldmine.html", "DF_Main", inPageMenuItemsDefaults) );
NzTripSubMenuBlock.add( new dynamicMenuItem("Tauranga", "Photo Gallery", "/NZ_Tauranga.html", "DF_Main", inPageMenuItemsDefaults) );
NzTripSubMenuBlock.add( new dynamicMenuItem("Auckland", "Photo Gallery", "/NZ_Auckland.html", "DF_Main", inPageMenuItemsDefaults) );

// Ski Trips Sub-Menu structure
skiTripSubMenuBlock.add( new dynamicMenuItem("Skiing at Hintertux, March 2008", "Photo Gallery", "/Hintertux2008.html", "DF_Main", inPageMenuItemsDefaults) );
skiTripSubMenuBlock.add( new dynamicMenuItem("Ski Trip to Wildsch&ouml;nau, 2008", "Photo Gallery", "/Wildschoenau2008.html", "DF_Main", inPageMenuItemsDefaults) );
skiTripSubMenuBlock.add( new dynamicMenuItem("Skiing in New Zealand, August 2008", "Photo Gallery", "/NZ_Skiing.html", "DF_Main", inPageMenuItemsDefaults) );
skiTripSubMenuBlock.add( new dynamicMenuItem("Skiing at Hochf&uuml;gen, March 2007", "Photo Gallery", "/Hochfuegen2007.html", "DF_Main", inPageMenuItemsDefaults) );
skiTripSubMenuBlock.add( new dynamicMenuItem("Skiing at Hintertux, November 2006", "Photo Gallery", "/Hintertux2006.html", "DF_Main", inPageMenuItemsDefaults) );

// Oktoberfest Sub-Menu structure
oFestSubMenuBlock.add( new dynamicMenuItem("Oktoberfest 2007", "Photo Gallery", "/Oktoberfest2007.html", "DF_Main", inPageMenuItemsDefaults) );
oFestSubMenuBlock.add( new dynamicMenuItem("Jonathan's Oktoberfest Photos (2007)", "Link to external site - opens in new window", "http://picasaweb.google.co.uk/KinseyClan/AndrewSOFestBash2007?authkey=ebGGP4YV4JE", "Jonanthan", offPageItemsDefaults) );
oFestSubMenuBlock.add( new dynamicMenuItem("Oktoberfest 2005 &amp; 2006", "Photo Gallery", "/Oktoberfest2006.html", "DF_Main", inPageMenuItemsDefaults) );

// Resources Sub-Menu structure
resourcesSubMenuBlock.add( new dynamicMenuItem("Blogs", "A few good blogs", "/Resources/Blogs.html", "DF_Main", inPageMenuItemsDefaults))  ;
resourcesSubMenuBlock.add( new dynamicMenuItem("Media", "Media Resources", "/Resources/MediaResources.html", "DF_Main", inPageMenuItemsDefaults))  ;
resourcesSubMenuBlock.add( new dynamicMenuItem("Networking", "Networking sites", "/Resources/Networking.html", "DF_Main", inPageMenuItemsDefaults))  ;
resourcesSubMenuBlock.add( new dynamicMenuItem("Other Software", "Web based sources of software", "/Resources/OtherSoftware.html", "DF_Main", inPageMenuItemsDefaults))  ;
resourcesSubMenuBlock.add( new dynamicMenuItem("Web Technology", "Online information about Web Technology", "/Resources/WebTechnology.html", "DF_Main", inPageMenuItemsDefaults))  ;
resourcesSubMenuBlock.add( webTechSubMenuBlock);
resourcesSubMenuBlock.add( new dynamicMenuItem("Online Games", "A selection of web-sites with Online Games", "/Resources/OnlineGames.html", "DF_Main", inPageMenuItemsDefaults))  ;
resourcesSubMenuBlock.add( new dynamicMenuItem("Language", "Links to Language Resources", "/Resources/Language.html", "DF_Main", inPageMenuItemsDefaults))  ;
resourcesSubMenuBlock.add( languageSubMenuBlock) ;
resourcesSubMenuBlock.add( new dynamicMenuItem("Buy Photos", "Buy photos seen on this site", "/Resources/BuyPhotos.html", "DF_Main", inPageMenuItemsDefaults))  ;
resourcesSubMenuBlock.add( new dynamicMenuItem("Fun", "Humour", "/Humour/Fun.html", "DF_Main", inPageMenuItemsDefaults))  ;
resourcesSubMenuBlock.add( funSubMenuBlock);
resourcesSubMenuBlock.add( new dynamicMenuItem("Earth &amp; Moon Viewer", "View of the Earth &amp; Moon (opens in new window)", "http://www.fourmilab.ch/earthview/vplanet.html", "EarthMoon", offPageItemsDefaults))  ;
resourcesSubMenuBlock.add( earthMoonSubMenuBlock);

// Web Technology Sub-Menu structure
webTechSubMenuBlock.add( new dynamicMenuItem("JavaScript", "Online information about JavaScript", "/Resources/WebTechnology.html#JavaScript", "DF_Main", inPageMenuItemsDefaults) )
webTechSubMenuBlock.add( new dynamicMenuItem("HTML", "Online information about HTML", "/Resources/WebTechnology.html#HTML", "DF_Main", inPageMenuItemsDefaults) )
webTechSubMenuBlock.add( new dynamicMenuItem("CSS", "Online information about Cascading Style Sheets", "/Resources/WebTechnology.html#CSS", "DF_Main", inPageMenuItemsDefaults) )
webTechSubMenuBlock.add( new dynamicMenuItem("The DOM", "Online information about the Document Object Model", "/Resources/WebTechnology.html#DOM", "DF_Main", inPageMenuItemsDefaults) )
webTechSubMenuBlock.add( new dynamicMenuItem("Java", "Online information about Java", "/Resources/WebTechnology.html#Java", "DF_Main", inPageMenuItemsDefaults) )
webTechSubMenuBlock.add( new dynamicMenuItem("Perl", "Online information about Perl", "/Resources/WebTechnology.html#Perl", "DF_Main", inPageMenuItemsDefaults) )
webTechSubMenuBlock.add( new dynamicMenuItem("MySQL", "Online information about MySQL", "/Resources/WebTechnology.html#MySQL", "DF_Main", inPageMenuItemsDefaults) )

// Language Resources Sub-Menu structure
languageSubMenuBlock.add( new dynamicMenuItem("Babelfish Translator", "Opens Babelfish in a new window", "http://babelfish.altavista.com/", "babelfish", offPageItemsDefaults) ) ;
languageSubMenuBlock.add( new dynamicMenuItem("Systran Translator", "Opens Systran in a new window", "http://www.systransoft.com/", "systran", offPageItemsDefaults) ) ;
languageSubMenuBlock.add( new dynamicMenuItem("LEO dictionary", "Opens LEO in a new window", "http://dict.leo.org/?lang=en", "leo", offPageItemsDefaults) ) ;
languageSubMenuBlock.add( new dynamicMenuItem("Dict.org", "Online reference &amp; multi-language translation dictionary, &amp; thesaurus", "http://www.dict.org/", "dict", offPageItemsDefaults) ) ;

// Earth-Moon Viewer Sub-Menu structure
earthMoonSubMenuBlock.add( new dynamicMenuItem("View the Earth", "View of the Earth showing current daylight areas", "/Earth.html", "DF_Main", inPageMenuItemsDefaults));
earthMoonSubMenuBlock.add( new dynamicMenuItem("View the Moon", "View of the Moon showing the current phase", "/Moon.html", "DF_Main", inPageMenuItemsDefaults));

// Fun Sub-Menu structure
funSubMenuBlock.add( new dynamicMenuItem("Jokes", "Text Jokes", "/Humour/Jokes.html", "DF_Main", inPageMenuItemsDefaults));
funSubMenuBlock.add( new dynamicMenuItem("Quotes", "Funny Quotes", "/Humour/Quotes.html", "DF_Main", inPageMenuItemsDefaults));
funSubMenuBlock.add(quotesHumourSubMenuBlock);
funSubMenuBlock.add( new dynamicMenuItem("Cartoons", "Humourous Cartons", "/Humour/Cartoons.html", "DF_Main", inPageMenuItemsDefaults));
funSubMenuBlock.add(cartoonsSubMenuBlock);
funSubMenuBlock.add( new dynamicMenuItem("Humourous Photos", "Humourous Photos", "/Humour/Photos.html", "DF_Main", inPageMenuItemsDefaults));
funSubMenuBlock.add(humourPhotosSubMenuBlock);
funSubMenuBlock.add( new dynamicMenuItem("Videos", "Links to Funny Videos", "/Humour/Videos.html", "DF_Main", inPageMenuItemsDefaults));
funSubMenuBlock.add(videoHumourSubMenuBlock);

// Cartoons Sub-Menu structure
cartoonsSubMenuBlock.add( new dynamicMenuItem("Cartoon Pictures", "Cartoon Pictures", "/Humour/CartoonPics.html", "DF_Main", inPageMenuItemsDefaults) ) ;
cartoonsSubMenuBlock.add(cartoonPicsSubMenuBlock);
cartoonsSubMenuBlock.add( new dynamicMenuItem("Cartoon Animations", "Animations &amp; Videos", "/Humour/CartoonAnimations.html", "DF_Main", inPageMenuItemsDefaults) ) ;
cartoonsSubMenuBlock.add(cartoonAniSubMenuBlock);

// Quotes Sub-Menu structure
quotesHumourSubMenuBlock.add( new dynamicMenuItem("Contest Quotes", "Real-life quotes from TV &amp; radio contests", "/Humour/ContestQuotes.html", "DF_Main", inPageMenuItemsDefaults) ) ;
quotesHumourSubMenuBlock.add( new dynamicMenuItem("Celebrity Quotes", "Quotes by celebrities", "/Humour/CelebQuotes.html", "DF_Main", inPageMenuItemsDefaults) ) ;
// Video Humour Sub-Menu structure
videoHumourSubMenuBlock.add( new dynamicMenuItem('"Doovde"', "Link to YouTube - opens in new window", "/cgi/Dereferrer.pl?toLoad=http://youtube.com/watch?v=-KFlE9sEmf8", "YouTube", offPageItemsDefaults) );
videoHumourSubMenuBlock.add( new dynamicMenuItem("The Camel-Toe Song", "Link to YouTube - opens in new window", "/cgi/Dereferrer.pl?toLoad=http://www.youtube.com/watch?v=JB388SH3XJo", "YouTube", offPageItemsDefaults) );
videoHumourSubMenuBlock.add( new dynamicMenuItem('Chopper: "harden the f**k up!"', "Link to YouTube - opens in new window", "/cgi/Dereferrer.pl?toLoad=http://www.youtube.com/watch?v=unkIVvjZc9Y", "YouTube", offPageItemsDefaults) );
videoHumourSubMenuBlock.add( new dynamicMenuItem("Karaoke for the Deaf", "Link to YouTube - opens in new window", "/cgi/Dereferrer.pl?toLoad=http://www.youtube.com/watch?v=HiAONEymW1k", "YouTube", offPageItemsDefaults) );
videoHumourSubMenuBlock.add( new dynamicMenuItem("Interview with Iraqi Terrorists", "Link to YouTube - opens in new window", "/cgi/Dereferrer.pl?toLoad=http://www.youtube.com/watch?v=lpd25Gzju4g", "YouTube", offPageItemsDefaults) );
videoHumourSubMenuBlock.add( new dynamicMenuItem("Saudi Sandals", "Link to YouTube - opens in new window", "/cgi/Dereferrer.pl?toLoad=http://www.youtube.com/watch?v=XO46xMTBZno", "YouTube", offPageItemsDefaults) );
videoHumourSubMenuBlock.add( new dynamicMenuItem("Sexual Advances", "Link to YouTube - opens in new window. <br>You will need to sign-in at YouTube to view this.", "/cgi/Dereferrer.pl?toLoad=http://www.youtube.com/watch?v=vAXZylG9Y3c", "YouTube", offPageItemsDefaults) );
videoHumourSubMenuBlock.add( new dynamicMenuItem("The Kosovo Song", "Link to YouTube - opens in new window", "/cgi/Dereferrer.pl?toLoad=http://www.youtube.com/watch?v=smlrSYiYd_o", "YouTube", offPageItemsDefaults) );
videoHumourSubMenuBlock.add( new dynamicMenuItem("Welcome to Israel", "Link to YouTube - opens in new window", "/cgi/Dereferrer.pl?toLoad=http://youtube.com/watch?v=CYuL6S4e64g", "YouTube", offPageItemsDefaults) );
videoHumourSubMenuBlock.add( new dynamicMenuItem("Bank Robbery", "Link to YouTube - opens in new window", "/cgi/Dereferrer.pl?toLoad=http://youtube.com/watch?v=AYafLb3NMqw", "YouTube", offPageItemsDefaults) );
videoHumourSubMenuBlock.add( new dynamicMenuItem("How not to tow a boat", "Link to YouTube - opens in new window", "/cgi/Dereferrer.pl?toLoad=http://youtube.com/watch?v=CkH6uPBPymY", "YouTube", offPageItemsDefaults) );
videoHumourSubMenuBlock.add( new dynamicMenuItem("Mummy's Little Helper", "Link to YouTube - opens in new window", "/cgi/Dereferrer.pl?toLoad=http://youtube.com/watch?v=0MQTyoQ9z54", "YouTube", offPageItemsDefaults) );



// Cartoon Pictures Sub-Menu structure
cartoonPicsSubMenuBlock.add( new dynamicMenuItem("Christmas", "Picture Gallery", "/Humour/CartoonPicsXmas.html", "DF_Main", inPageMenuItemsDefaults) ) ;
cartoonPicsSubMenuBlock.add( new dynamicMenuItem("Men &amp; Women", "Picture Gallery", "/Humour/CartoonsMenAndWomen.html", "DF_Main", inPageMenuItemsDefaults) ) ;
cartoonPicsSubMenuBlock.add( new dynamicMenuItem("Calvin", "Picture Gallery", "/Humour/Calvin.html", "DF_Main", inPageMenuItemsDefaults) ) ;
cartoonPicsSubMenuBlock.add( new dynamicMenuItem("Animals", "Picture Gallery", "/Humour/CartoonAnimals.html", "DF_Main", inPageMenuItemsDefaults) ) ;
cartoonPicsSubMenuBlock.add( new dynamicMenuItem("Medical", "Picture Gallery", "/Humour/CartoonsMedical.html", "DF_Main", inPageMenuItemsDefaults) ) ;

// Cartoon Animations Sub-Menu structure
cartoonAniSubMenuBlock.add( new dynamicMenuItem("The Ice (Polar) Bear", "Video Gallery", "/Humour/IceBear.html", "DF_Main", inPageMenuItemsDefaults) ) ;

// Humourous Photos Sub-Menu structure
humourPhotosSubMenuBlock.add( new dynamicMenuItem("Body Painting", "Photos of Body Painting", "/Humour/BodyPainting.html", "DF_Main", inPageMenuItemsDefaults) ) ;
humourPhotosSubMenuBlock.add( new dynamicMenuItem("Photos Gone Wrong", "Photos that didn't turn out as planned", "/Humour/KaputPhotos.html", "DF_Main", inPageMenuItemsDefaults) ) ;
humourPhotosSubMenuBlock.add( new dynamicMenuItem("Parents Of The Year", "Photo Gallery", "/Humour/ParentsOfTheYear.html", "DF_Main", inPageMenuItemsDefaults) ) ;
humourPhotosSubMenuBlock.add( new dynamicMenuItem("Spoof Advertisements", "Photo Gallery", "/Humour/SpoofAdPhotos.html", "DF_Main", inPageMenuItemsDefaults) ) ;
humourPhotosSubMenuBlock.add( new dynamicMenuItem("IfWomenControlledTheWorld", "Picture Gallery", "/Humour/IfWomenControlledTheWorld.html", "DF_Main", inPageMenuItemsDefaults) ) ;

 // Recommendations Sub-Menu structure
recommendationsSubMenuBlock.add( new dynamicMenuItem("Software", "Some software recommendations", "/Recommendations/Software.html", "DF_Main", inPageMenuItemsDefaults));
recommendationsSubMenuBlock.add(softwareRecSubMenuBlock);
recommendationsSubMenuBlock.add( new dynamicMenuItem("Hardware", "Some Computer Hardware recommendations", "/Recommendations/Hardware.html", "DF_Main", inPageMenuItemsDefaults));
recommendationsSubMenuBlock.add(hardwareRecSubMenuBlock);
recommendationsSubMenuBlock.add( new dynamicMenuItem("Car Rental", "Some Recommendations for Car Rental", "/Recommendations/CarRental.html", "DF_Main", inPageMenuItemsDefaults));
recommendationsSubMenuBlock.add( new dynamicMenuItem("Dining", "Some Restaurant Recommendations", "/Dining.html", "DF_Main", inPageMenuItemsDefaults));
recommendationsSubMenuBlock.add( new dynamicMenuItem("Bars &amp; Pubs", "Some Bar &amp; Pub Recommendations", "/Recommendations/Bars.html", "DF_Main", inPageMenuItemsDefaults));
recommendationsSubMenuBlock.add( new dynamicMenuItem("Miscellaneous", "Miscellaneous Recommendations", "/Recommendations/Other.html", "DF_Main", inPageMenuItemsDefaults));
recommendationsSubMenuBlock.add( new dynamicMenuItem("Black List", "Some Products, Services &amp; Suppliers to avoid", "/Recommendations/BlackList.html", "DF_Main", inPageMenuItemsDefaults));

// Software Recommendations Sub-Menu structure
softwareRecSubMenuBlock.add( new dynamicMenuItem("Telephony/VOIP", "Telephony &amp; VOIP (Voice Over IP) Software", "/Recommendations/Software.html#Tel", "DF_Main", inPageMenuItemsDefaults));
softwareRecSubMenuBlock.add( new dynamicMenuItem("Web Development Software", "Recommended Web Development Software", "/Recommendations/Software.html#Web_Dev", "DF_Main", inPageMenuItemsDefaults));
softwareRecSubMenuBlock.add( new dynamicMenuItem("Database Software", "Recommended Database Software", "/Recommendations/Software.html#Database", "DF_Main", inPageMenuItemsDefaults));
softwareRecSubMenuBlock.add( new dynamicMenuItem("Security Software", "Recommended Security Software", "/Recommendations/Software.html#Security", "DF_Main", inPageMenuItemsDefaults));
softwareRecSubMenuBlock.add( new dynamicMenuItem("Office Software", "Recommended Office Software", "/Recommendations/Software.html#Office", "DF_Main", inPageMenuItemsDefaults));
softwareRecSubMenuBlock.add( new dynamicMenuItem("System Administration Software", "Recommended System Administration Software", "/Recommendations/Software.html#Admin", "DF_Main", inPageMenuItemsDefaults));
softwareRecSubMenuBlock.add( new dynamicMenuItem("Operating Systems", "Recommended Operating Systems", "/Recommendations/Software.html#OS", "DF_Main", inPageMenuItemsDefaults));
softwareRecSubMenuBlock.add( new dynamicMenuItem("Networking Tools", "Recommended Networking Software", "/Recommendations/Software.html#NW", "DF_Main", inPageMenuItemsDefaults));
softwareRecSubMenuBlock.add( new dynamicMenuItem("File Sharing Software", "Recommended File Sharing Software", "/Recommendations/Software.html#File Sharing", "DF_Main", inPageMenuItemsDefaults));
softwareRecSubMenuBlock.add( new dynamicMenuItem("Media Software", "Recommended Media Software", "/Recommendations/Software.html#Media", "DF_Main", inPageMenuItemsDefaults));
softwareRecSubMenuBlock.add( new dynamicMenuItem("Search Software", "Recommended Search Software", "/Recommendations/Software.html#Search", "DF_Main", inPageMenuItemsDefaults));

// Hardware Recommendations Sub-Menu structure
hardwareRecSubMenuBlock.add( new dynamicMenuItem("Laptops", "Recommended Laptops", "/Recommendations/Hardware.html#Laptops", "DF_Main", inPageMenuItemsDefaults));
hardwareRecSubMenuBlock.add( new dynamicMenuItem("Desktops &amp; Servers", "Recommended Desktops", "/Recommendations/Hardware.html#Desktops", "DF_Main", inPageMenuItemsDefaults));
hardwareRecSubMenuBlock.add( new dynamicMenuItem("Disc Drives", "Recommended Disc Drives", "/Recommendations/Hardware.html#Disc", "DF_Main", inPageMenuItemsDefaults));
hardwareRecSubMenuBlock.add( new dynamicMenuItem("Printers", "Recommended Printers", "/Recommendations/Hardware.html#Printers", "DF_Main", inPageMenuItemsDefaults));

// Create the menu
menuObj.make();

