//*************************************************************************
// JavaScript Libary for Menu Creation.
//
// Copyright 2008 - David Fosberry - david.fosberry@fosberry.com
//
// This code may be re-used, whole or in part, as long as this copyright message
// is included.
//
//************************************************************************

function dynamicMenuObject(defaults) {
         // Initialise
         if ( ! defaults ) { var defaults = new dynamicMenuDefaults() ; }
         else { defaults = new dynamicMenuDefaults(defaults) ; }
         for ( property in defaults ) {
             this[property] = defaults[property];
         } ;
         this.menuBlocks                 = new Array() ;
         // Define Functions
         function  __make() {
                    beginSTM( this.defaults.menuName, this.defaults.type, this.defaults.offsetLeft, this.defaults.offsetTop,
                             this.defaults.float, this.defaults.clickToShow, this.defaults.clickToHide,
                             "310", // No idea what this paremter does!!!!!
                             this.defaults.hideDelay, this.defaults.showDelayHorizontal, this.defaults.showDelayVertical,
                             this.defaults.webPath, this.defaults.blankSrc);
                   for ( var i=0; i<this.menuBlocks.length; i++ ) { this.menuBlocks[i].make() ; }
                   endSTM();
         }
         function __add(menuBlock) {
                  //window.alert( typeof(menuBlock) );
                  if (menuBlock && typeof(menuBlock) == "object" ) {
                    this.menuBlocks[this.menuBlocks.length]   = menuBlock ;
                    //window.alert("MenuBlock added");
                  }
                  // else { window.alert("Not OK"); }
         }
         // Export the methods
         this.make                       = __make ;
         this.add                        = __add ;
         // Return the object
         return this ;
}

function dynamicMenuBlock(direction, defaults) {
         // Initialise
         if ( ! defaults ) { var defaults = new dynamicMenuBlockDefaults() ; }
         else { defaults = new dynamicMenuBlockDefaults(defaults) ; }
         for ( property in defaults ) {
             this[property] = defaults[property];
         } ;
         this.menuItems                  = new Array() ;
         //this.settings.list();
         if ( direction ) { this.defaults.direction = direction ; } ;
         // Define Functions
         function __make() {
                   beginSTMB(this.defaults.offsetDirection, this.defaults.offsetLeft, this.defaults.offsetTop, this.defaults.direction,
                   this.defaults.arrowSrc, this.defaults.arrowWidth, this.defaults.arrowHeight,
                   this.defaults.spacing, this.defaults.padding,
                   this.defaults.backgroundColor, this.defaults.backgroundImage, this.defaults.backgroundRepeat,
                   this.defaults.borderColor, this.defaults.borderWidth, this.defaults.borderStyle,
                   this.defaults.transparency, this.defaults.spec, this.defaults.spec_sp,
                   this.defaults.lineWidthMax, this.defaults.lineHeightMax, this.defaults.rowWidthMax, this.defaults.rowHeightMax,
                   this.defaults.bgPosX, this.defaults.bgPosY, 
                   this.defaults.dsSize, this.defaults.dsColor, this.defaults.hdsp,
                   this.defaults.borderColorTop, this.defaults.borderColorRight, this.defaults.borderColorBottom, 
                   this.defaults.dropShadowStyle);
                   for ( var i=0; i<this.menuItems.length; i++ ) { this.menuItems[i].make() ; }
                   endSTMB();
        }
         function __add(menuItem) {
                  if (menuItem && typeof(menuItem) == "object" ) { this.menuItems[this.menuItems.length]   = menuItem ; }
         }
            // Export the methods
         this.make                       = __make;
         this.add                        = __add ;
         // Return the object
         return this ;
}

function dynamicMenuItem(label, tip, href, target, defaults) {
         // Initialise
         if ( ! defaults ) { var defaults = new dynamicMenuItemDefaults() ; }
         else { defaults = new dynamicMenuItemDefaults(defaults) ; }
         for ( property in defaults ) {
             this[property] = defaults[property];
         } ;
         this.label      =  label ;
         this.tip        =  tip ;
         this.href       = href ;
         if ( target || target == "" ) { this.defaults.target     = target; }
         //window.alert(this.defaults.target);
         // Define Functions
         function __make() {
              appendSTMI( this.defaults.isImage, this.label, this.defaults.align, this.defaults.valign,
                          this.defaults.imageOut, this.defaults.imageOver,
                          this.defaults.imageWidth, this.defaults.imageHeight,
                          this.defaults.imageBorderWidth,
                          this.defaults.type,
                          this.defaults.bgColorOut, this.defaults.bgColorOver,
                          this.defaults.sep_img, this.defaults.sep_size,
                          this.defaults.sep_w, this.defaults.sep_h,
                          this.defaults.iconOut, this.defaults.iconOver,
                          this.defaults.iconWidth, this.defaults.iconHeight, this.defaults.iconBorderWidth,
                          this.tip, this.href, this.defaults.target,
                          this.defaults.fontFamilyOut, this.defaults.fontSizeOut,this.defaults.fontColorOut,
                          this.defaults.fontWeightOut, this.defaults.fontStyleOut, this.defaults.fontDecorationOut,
                          this.defaults.fontFamilyOver, this.defaults.fontSizeOver,this.defaults.fontColorOver,
                          this.defaults.fontWeightOver, this.defaults.fontStyleOver, this.defaults.fontDecorationOver,
                          this.defaults.borderSize, this.defaults.borderStyle,
                          this.defaults.borderColorRightOut, this.defaults.borderColorLeftOut,
                          this.defaults.borderColorRightOver, this.defaults.borderColorLeftOver,
                          this.defaults.borderColorTopOut, this.defaults.borderColorBottomOut,
                          this.defaults.borderColorTopOver, this.defaults.borderColorBottomOver,
                          this.defaults.statusText,
                          this.defaults.backgroundImageOut, this.defaults.backgroundImageOver,
                          this.defaults.backgroundRepeatOut, this.defaults.backgroundRepeatOver );
         }
         // Export the methods
         this.make                       = __make ;
         // Return the object
         return this ;
}

function dynamicMenuItemDefaults(toClone) {
         // Initialise
         this.defaults                   = new Object() ;
         if ( ! toClone ) {
          this.defaults.target     = "_blank" ;
          this.defaults.isImage    = "false" ; 
          this.defaults.imageOut = ""; this.defaults.imageOver = ""; // Image filenames, relative to webpath in the menu Object
          this.defaults.imageWidth = "" ; this.defaults.imageHeight = "" ; // Sizes in pixels - "-1" defaults to actual image size
          this.defaults.align      = "left" ; // Alignment of the menu cell contents: left | center | right
          this.defaults.valign     = "middle" ; // Vertical alignment of the menu cell contents: top | middle | bottom
          this.defaults.imageBorderWidth    = "0" ; // Image Border Width in pixels
          this.defaults.type       = "normal" ; // Not sure what alternatives there are
          this.defaults.bgColorOut = "transparent" ;
          this.defaults.bgColorOver = "#ddddbb" ;
          this.defaults.sep_img     = "" ;
          this.defaults.sep_size    = "0" ;
          this.defaults.sep_w       = "-1" ;
          this.defaults.sep_h       = "-1" ;
          this.defaults.iconOut     = "blank.gif" ; this.defaults.iconOver = "RightArrow.gif" ; // Icon files, relative to webpath in the menu Object
          this.defaults.iconWidth   = "20"  ; // In pixels
          this.defaults.iconHeight  = "11" ;  // In pixels
          this.defaults.iconBorderWidth  = "0" ; // In pixels
          this.defaults.fontFamilyOut      = "sans-serif" ; // Valid CSS style
          this.defaults.fontSizeOut        = "8pt" ; // Valid CSS style
          this.defaults.fontColorOut       = "#555555" ; // Valid CSS style
          this.defaults.fontWeightOut      = "bold" ; // Valid CSS style
          this.defaults.fontStyleOut       = "normal" ; // Valid CSS style
          this.defaults.fontDecorationOut  = "none" ; // Valid CSS style
          this.defaults.fontFamilyOver      = "sans-serif" ; // Valid CSS style
          this.defaults.fontSizeOver       = "8pt" ; // Valid CSS style
          this.defaults.fontColorOver      = "blue" ; // Valid CSS style
          this.defaults.fontWeightOver     = "bold"  ; // Valid CSS style
          this.defaults.fontStyleOver      = "normal" ; // Valid CSS style
          this.defaults.fontDecorationOver = "none"  ; // Valid CSS style
          this.defaults.borderSize         = "0" ;   // Menu cell border width in pixels
          this.defaults.borderStyle        = "none" ; // Valid CSS border style
          this.defaults.borderColorRightOut       = "#000000" ; // Valid CSS color
          this.defaults.borderColorLeftOut        = "#000000" ; // Valid CSS color
          this.defaults.borderColorRightOver      = "#000000" ; // Valid CSS color
          this.defaults.borderColorLeftOver       = "#000000" ; // Valid CSS color
          this.defaults.borderColorTopOut         = "#000000" ; // Valid CSS color
          this.defaults.borderColorBottomOut      = "#000000" ; // Valid CSS color
          this.defaults.borderColorTopOver        = "#000000" ; // Valid CSS color
          this.defaults.borderColorBottomOver     = "#000000" ; // Valid CSS color
          this.defaults.statusText                =  "" ; // Text to display in the window status area
          this.defaults.backgroundImageOut        =  "" ;  // Mouse-out backgound image for the menu cell
          this.defaults.backgroundImageOver       =  "" ;  // Mouse-over backgound image for the menu cell
          this.defaults.backgroundRepeatOut       =  "tiled" ; // Mouse-over backgound image repeat for the menu cell: 'tiled' | 'free' | 'tiled by x' | 'tiled by y'
          this.defaults.backgroundRepeatOver      =  "tiled" ; // Mouse-out backgound image repeat (valid CSS) for the menu cell

         }
         else {   // Copy each object separately, so that they can be overridden without changing the toClone defaults object
    	          for ( property in toClone.defaults ) {
    		      this.defaults[property] = toClone.defaults[property];
                  } ;
         }
         // Define Functions
         function __setImage(imageOut, imageOver, imageWidth, imageHeight) {
                  if ( imageOut && typeof(imageOut) == "string" ) {
                       this.defaults.isImage = "true" ;
                       this.defaults.imageOut = imageOut ;
                       if ( imageOver && typeof(imageOver) == "string" ) { this.defaults.imageOver = imageOver ; }
                       else { this.defaults.imageOver = imageOut ; }
                       if (imageWidth) { this.defaults.imageWidth = imageWidth.toString() ; }
                       else { this.defaults.imageWidth = "10"; }
                       if (imageHeight) { this.defaults.imageHeight = imageHeight.toString() ; }
                       else { this.defaults.imageHeight = "10" ; }
                  } else { this.defaults.isImage    = "false" ; }
         }
         function __setAlignment(align, valign) {
                  if ( align && typeof(align) == "string" ) { this.defaults.align = align ; }
                  if ( valign && typeof(valign) == "string" ) { this.defaults.valign = valign ; }
         }
         function __setBackgroundColor(out, over) {
                  if ( out && typeof(out) == "string" ) { this.defaults.bgColorOut = out ; }
                  if ( over && typeof(over) == "string" ) { this.defaults.bgColorOver = over ; }
         }
         function __setSepImage(image, size, width, height) {
                  if ( image && typeof(image) == "string" ) { this.defaults.sep_img = image ; }
                  if (size) { this.defaults.sep_size = parseInt(size).toString(); }
                  if (width) { this.defaults.sep_w = parseInt(width).toString(); }
                  if (height) { this.defaults.sep_h = parseInt(height).toString(); }
         }
         function __setIcon(imageOut,imageOver, width, height, borderWidth) {
                  if ( imageOut && typeof(imageOut) == "string" ) { this.defaults.iconOut = imageOut ; }
                  if ( imageOver && typeof(imageOver) == "string" ) { this.defaults.iconOver = imageOver ; }
                  if (width) { this.defaults.iconWidth = parseInt(width).toString(); }
                  if (height) { this.defaults.iconHeight = parseInt(height).toString(); }
                  if (borderWidth) { this.defaults.iconBorderWidth = parseInt(borderWidth).toString(); }
         }
         function __setFontOver(family, size, color, weight, style, decoration) {
                  if ( family && typeof(family) == "string" ) { this.defaults.fontFamilyOver = family ; }
                  if (size) { this.defaults.fontSizeOver = parseInt(size).toString(); }
                  if ( color && typeof(color) == "string" ) { this.defaults.fontColorOver = color ; }
                  if ( weight && typeof(weight) == "string" ) { this.defaults.fontWeightOver = weight ; }
                  if ( style && typeof(style) == "string" ) { this.defaults.fontStyleOver = style ; }
                  if ( decoration && typeof(decoration) == "string" ) { this.defaults.fontDecorationOver = decoration ; }
         }
         function __setFontOut(family, size, color, weight, style, decoration) {
                  if ( family && typeof(family) == "string" ) { this.defaults.fontFamilyOut = family ; }
                  if (size) { this.defaults.fontSizeOut = parseInt(size).toString(); }
                  if ( color && typeof(color) == "string" ) { this.defaults.fontColorOut = color ; }
                  if ( weight && typeof(weight) == "string" ) { this.defaults.fontWeightOut = weight ; }
                  if ( style && typeof(style) == "string" ) { this.defaults.fontStyleOut = style ; }
                  if ( decoration && typeof(decoration) == "string" ) { this.defaults.fontDecorationOut = decoration ; }
         }
         function __setBorder(size, style) {
                  if (size) { this.defaults.borderSize = parseInt(size).toString(); }
                  if ( style && typeof(style) == "string" ) { this.defaults.borderStyle = style ; }
         }
         function __setBorderColorOut(top, right, bottom, left) {
                  if ( top && typeof(top) == "string" ) { this.defaults.borderColorTopOut = top ; }
                  if ( right && typeof(right) == "string" ) { this.defaults.borderColorRightOut = right ; }
                  if ( bottom && typeof(bottom) == "string" ) { this.defaults.borderColorBottomOut = bottom ; }
                  if ( left && typeof(left) == "string" ) { this.defaults.borderColorLeftOut = left ; }
         }
         function __setBorderColorOver(top, right, bottom, left) {
                  if ( top && typeof(top) == "string" ) { this.defaults.borderColorTopOver = top ; }
                  if ( right && typeof(right) == "string" ) { this.defaults.borderColorRightOver = right ; }
                  if ( bottom && typeof(bottom) == "string" ) { this.defaults.borderColorBottomOver = bottom ; }
                  if ( left && typeof(left) == "string" ) { this.defaults.borderColorLeftOver = left ; }
         }
         function __setStatusText(text) {
                  if ( text && typeof(text) == "string" ) { this.defaults.statusText = text ; }
         }
         function __setBackgroundImages(imageOut, imageOver, outRepeat, overRepeat) {
                  if ( imageOut && typeof(imageOut) == "string" ) { this.defaults.backgroundImageOut = imageOut ; }
                  if ( imageOver && typeof(imageOver) == "string" ) { this.defaults.backgroundImageOver = imageOver ; }
                  if ( outRepeat && typeof(outRepeat) == "string" ) { this.defaults.backgroundRepeatOut = outRepeat ; }
                  if ( overRepeat && typeof(overRepeat) == "string" ) { this.defaults.backgroundRepeatOver = overRepeat ; }
         }
         // Export the methods
         this.setImage                        = __setImage ;
         this.setAlignment                    = __setAlignment ;
         this.setBackgroundColor              = __setBackgroundColor ;
         this.setSepImage                     = __setSepImage ;
         this.setIcon                         = __setIcon ;
         this.setFontOver                     = __setFontOver ;
         this.setFontOut                      = __setFontOut ;
         this.setBorder                       = __setBorder ;
         this.setBorderColorOut               = __setBorderColorOut ;
         this.setBorderColorOver              = __setBorderColorOver ;
         this.setStatusText                   = __setStatusText ;
         this.setBackgroundImages             = __setBackgroundImages ;
         // Return the object
         return this ;
}

function dynamicMenuDefaults(toClone) {
         // Initialise
         this.defaults                   = new Object() ;
         if ( ! toClone ) {
          this.defaults.menuName                   = "AutoMenu" ;
          this.defaults.type                       = "static" ; // Menu CSS position: absolute | custom | float | relative
          this.defaults.offsetLeft                 = "0" ; // Has no effect for type = "static"
          this.defaults.offsetTop                  = "0" ; // Has no effect for type = "static"
          this.defaults.float                      = "center" ; // float alignment (for type = "float"): left | center | right
          this.defaults.clickToShow                = "false" ;
          this.defaults.clickToHide                = "false" ;
          this.defaults.showDelayHorizontal        = "500" ; // Delay in msecs. after mouseover or click event before opening Horizontal menu
          this.defaults.showDelayVertical          = "500" ; // Delay in msecs. after mouseover or click event before opening Verticalmenu
          this.defaults.hideDelay                  = "1000" ; // Delay in msecs. after mouseout or click event before closing menu
          this.defaults.webPath                    = "/Graphics/"  ;  // Path (URL, relative or absolute path) for folder/directory Graphics files
                                                            // MUST end in a "/"
          this.defaults.blankSrc                   = "blank.gif" ; // Name of blank image.
         }
         else {   // Copy each object separately, so that they can be overridden without changing the toClone defaults object
    	          for ( property in toClone.defaults ) {
    		      this.defaults[property] = toClone.defaults[property];
                  } ;
          }
         // Define Functions
         function __setMenuName(name) { if ( name && typeof(name) == "string" ) { this.defaults.menuName = name ; } }
         function __setOffset(left, top) {
                  if (top) { this.defaults.offsetTop = parseInt(top).toString(); }
                  if (left) { this.defaults.offsetLeft = parseInt(left).toString(); }
         }
         function __setPosition(position, float) {
                  if ( float && typeof(float) == "string" ) { this.defaults.float = float ; }
                  if ( position && typeof(position) == "string" ) { this.defaults.type = position ; }
         }
         function __setClick(toShow, toHide ) {
                  if ( toHide && ( typeof(toHide) == "boolean" || typeof(toHide) == "number" ) ) { this.defaults.clickToHide = toHide ;  }
                  if ( toShow && ( typeof(toShow) == "boolean" || typeof(toShow) == "number" ) ) { this.defaults.clickToShow = toShow ;  }
         }
         function __setDelay(hide, showHorizontal, showVertical) {
                  if (hide) { this.defaults.hideDelay = parseInt(hide).toString(); }
                  if (showHorizontal) { this.defaults.showDelayHorizontal = parseInt(showHorizontal).toString(); }
                  if (showVertical) { this.defaults.showDelayVertical = parseInt(showVertical).toString(); }
         }
         function __setBlank(blankFile, webPath) {
                  if ( webPath && typeof(webPath) == "string" ) { this.defaults.webPath = webPath ; }
                  if ( blankFile && typeof(blankFile) == "string" ) { this.defaults.blankSrc = blankFile ; }
         }
         function __list() {
    	          for ( property in this.defaults ) {
    		      var name = property ;
    		      var value = this.defaults[property] ;
    		      var type = typeof(value) ;
                      var logString = "Name = "+name+"<BR>Value = "+value+"<BR>Type = "+type ;
                      var delFunc   = "log('"+logString+"', 4)" ;
                      var del = window.setTimeout(delFunc, 2000) ;
                  } ;
         }
         // Export the methods
         this.setMenuName                = __setMenuName ;
         this.setOffset                  = __setOffset ;
         this.setPosition                = __setPosition ;
         this.setClick                   = __setClick ;
         this.setDelay                   = __setDelay ;
         this.setBlank                   = __setBlank ;
         this.list                       = __list ;
         // Return the object
         return this ;
}

function dynamicMenuBlockDefaults(toClone, direction) {
         // Initialise
         this.defaults                   = new Object() ;
         if ( ! toClone ) {
          this.defaults.offsetDirection            = "auto" ; // Submenu offset direction: auto | right | down
          this.defaults.offsetTop                  = "0" ; // vertical offset in pixels from the menu parent
          this.defaults.offsetLeft                 = "0" ; // horizontal offset in pixels from the menu parent
          this.defaults.arrowSrc                   = "RightArrow.gif"; // source of arrow graphic file, relative to the webPath defined in the containing menu
          this.defaults.arrowWidth                 = "20"; // width of the arrow graphic in pixels
          this.defaults.arrowHeight                = "11"; // height of the arrow graphic in pixels
          this.defaults.spacing                    = "0" ; // Table spacing for this menu block in pixels
          this.defaults.padding                    = "1" ; // Table padding for this menu block in pixels
          this.defaults.backgroundColor            = "transparent" ; // Background color for this menu block  "#ddddbb"
          this.defaults.backgroundImage            = "" ; // source of background image file, relative to the webPath defined in the containing menu
          this.defaults.backgroundRepeat           = "tiled"  ; // Background Image Repeat: tiled | free | tiled by x | tiled by y
          this.defaults.borderColor                = "transparent" ;  // Color of border around the menu block
          this.defaults.borderWidth                = "0" ;  // in pixels
          this.defaults.borderStyle                = "solid";
          this.defaults.transparency               = "0"; // transparency: "0" - "100"
          this.defaults.spec                       = "Wipe down" ;  // No idea what the alternatives are
          this.defaults.spec_sp                    = "20"; // In pixels, I guess
          this.defaults.lineWidthMax               = "3";
          this.defaults.lineHeightMax              = "16";
          this.defaults.rowWidthMax                = "0";
          this.defaults.rowHeightMax               = "0";
          this.defaults.bgPosX                     = "0";  // Background horizontal position in pixels
          this.defaults.bgPosY                     = "0";  // Background vertical position in pixels
          this.defaults.dsSize                     = "0" ; // Drop Shadow Size in pixels
          this.defaults.dsColor                    = "#000000" ; //  Drop Shadow Color
          this.defaults.hdsp                       = "false" ; //  No idea
          this.defaults.borderColorTop             =  this.defaults.borderColor ;  // Override the Top Border Color
          this.defaults.borderColorRight           =  this.defaults.borderColor ;  // Override the Right Border Color
          this.defaults.borderColorBottom          =  this.defaults.borderColor ;  // Override the Bottom Border Color
          this.defaults.dropShadowStyle            = "none" ;   // Drop shadow style: simple | none || .....
          this.defaults.direction  						= "vertically" ;
         }
         else {   // Copy each object separately, so that they can be overridden without changing the toClone defaults object
    	          for ( property in toClone.defaults ) {
    		      this.defaults[property] = toClone.defaults[property];
                  } ;
          }
         if ( direction ) { this.defaults.direction = direction ; }; 

         // Define Functions
         function __list() {
    	          for ( property in this.defaults ) {
    		      var name = property ;
    		      var value = this.defaults[property] ;
    		      var type = typeof(value) ;
                      var logString = "Name = "+name+"<BR>Value = "+value+"<BR>Type = "+type ;
                      var delFunc   = "log('"+logString+"', 4)" ;
                      var del = window.setTimeout(delFunc, 2000) ;
                  } ;
         }
         function __setOffset(dir, top, left) {
                  if ( dir && typeof(dir) == "string" ) { this.defaults.offsetDirection = dir ; }
                  if (top) { this.defaults.offsetTop = parseInt(top).toString(); }
                  if (left) { this.defaults.offsetLeft = parseInt(left).toString(); }
         }
         function __setArrow(src, width, height) {
                  if ( src && typeof(src) == "string" ) { this.defaults.arrowSrc = src ; }
                  if (width) { this.defaults.arrowWidth = parseInt(width).toString(); }
                  if (height) { this.defaults.arrowHeight = parseInt(height).toString(); }
         }
         function __setSpacing(spacing) { if (spacing) { this.defaults.spacing = parseInt(spacing).toString(); } }
         function __setPadding(padding) { if (padding) { this.defaults.padding = parseInt(padding).toString(); } }
         function __setBg(color, image, repeat) {
           if ( color && typeof(color) == "string" ) { this.defaults.backgroundColor = color ; }
           if ( image && typeof(image) == "string" ) { this.defaults.backgroundImage = image ; }
           if ( repeat && typeof(repeat) == "string" ) { this.defaults.backgroundRepeat = repeat ; }
         }
         function __setBorder(width, style, color, colorTop, colorRight, colorBottom) {
           if ( color && typeof(color) == "string" ) { this.defaults.borderColor = color ; }
           if (width) { this.defaults.borderWidth = parseInt(width).toString(); }
           if ( style && typeof(style) == "string" ) { this.defaults.borderStyle = style ; }
           if ( ! colorTop ) { this.defaults.borderColorTop = this.defaults.borderColor ; } else { this.defaults.borderColorTop = colorTop ; }
           if ( ! colorRight ) { this.defaults.borderColorRight = this.defaults.borderColor ; } else { this.defaults.borderColorRight = colorRight ; }
           if ( ! colorBottom ) { this.defaults.borderColorBottom = this.defaults.borderColor ; } else { this.defaults.borderColorBottom = colorBottom ; }
         }
         function __setTransparency(trans) { if (trans) { this.defaults.transparency = parseInt(trans).toString(); } }
         // Export the methods
         this.list                       = __list ;
         this.setOffset                  = __setOffset ;
         this.setArrow                   = __setArrow ;
         this.setSpacing                 = __setSpacing ;
         this.setPadding                 = __setPadding ;
         this.setBackground              = __setBg ;
         this.setBorder                  = __setBorder ;
         this.setTransparency            = __setTransparency ;
         // Return the object

         return this ;
}